Freeciv-3.1: packet_ruleset_building Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_building Struct Reference

`#include <packets_gen.h>`

## Data Fields

Impr_type_id | id
enum impr_genus_id | genus
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
int | obs_count
struct requirement | obs_reqs [MAX_NUM_REQS]
int | build_cost
int | upkeep
int | sabotage
bv_impr_flags | flags
char | soundtag [MAX_LEN_NAME]
char | soundtag_alt [MAX_LEN_NAME]
char | helptext [MAX_LEN_PACKET]

## Detailed Description

Definition at line 1203 of file packets_gen.h.

## Field Documentation

## ◆ build_cost

int packet_ruleset_building::build_cost

Definition at line 1214 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ flags

bv_impr_flags packet_ruleset_building::flags

Definition at line 1217 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ genus

enum impr_genus_id packet_ruleset_building::genus

Definition at line 1205 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ graphic_alt

char packet_ruleset_building::graphic_alt[MAX_LEN_NAME]

Definition at line 1209 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ graphic_str

char packet_ruleset_building::graphic_str[MAX_LEN_NAME]

Definition at line 1208 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ helptext

char packet_ruleset_building::helptext[MAX_LEN_PACKET]

Definition at line 1220 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ id

Impr_type_id packet_ruleset_building::id

Definition at line 1204 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ name

char packet_ruleset_building::name[MAX_LEN_NAME]

Definition at line 1206 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ obs_count

int packet_ruleset_building::obs_count

Definition at line 1212 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ obs_reqs

struct requirement packet_ruleset_building::obs_reqs[MAX_NUM_REQS]

Definition at line 1213 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ reqs

struct requirement packet_ruleset_building::reqs[MAX_NUM_REQS]

Definition at line 1211 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ reqs_count

int packet_ruleset_building::reqs_count

Definition at line 1210 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ rule_name

char packet_ruleset_building::rule_name[MAX_LEN_NAME]

Definition at line 1207 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ sabotage

int packet_ruleset_building::sabotage

Definition at line 1216 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ soundtag

char packet_ruleset_building::soundtag[MAX_LEN_NAME]

Definition at line 1218 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ soundtag_alt

char packet_ruleset_building::soundtag_alt[MAX_LEN_NAME]

Definition at line 1219 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ upkeep

int packet_ruleset_building::upkeep

Definition at line 1215 of file packets_gen.h.

Referenced by handle_ruleset_building(), send_packet_ruleset_building_100(), and send_ruleset_buildings().